> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a new designation



## OpenAPI

````yaml post /admin/designation
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/designation:
    post:
      tags:
        - Designation
      summary: Add a new designation
      operationId: 033c72ab7dee968f7ba629f0b3a21f37
      requestBody:
        description: Designation data that needs to be added
        required: true
        content:
          application/json:
            schema:
              properties:
                name:
                  type: string
                  example: Designation Name
                hysform:
                  type: string
                  example: '001'
                emailset_id:
                  type: integer
                  example: 1
                code:
                  type: string
                  example: D001
                client_id:
                  type: string
                  example: '1'
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfull
                type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Bad request
                type: object
        '404':
          description: Not found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Not found
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````